function initFullCalendar(authToken) {
    document.addEventListener('DOMContentLoaded', function () {
        var calendarEl = document.getElementById('fullCalendar');

        var calendar = new FullCalendar.Calendar(calendarEl, {
            plugins: ['dayGrid','interaction'],
            locale: 'fr-ca',
            header: {
                left: 'title',
                center: '',
                right: 'prev,next'
            },
            events: '/api/schedule/events',
            eventClick: function (info) {
                $.get("/api/schedule/events/modal/full/" + info.event.id + "/"+ info.event.extendedProps.extraParams.db_type + "?api_token="+authToken, function (data) {
                    $("#modal-content").html(data);
                });
                $('#schedulemodal').modal('toggle')
            },
            dateClick: function (info) {
                var date = moment(info.date).format("YYYY-MM-DD");
                Swal.fire({
                    title: 'Ajouter un événement?',
                    text: "Voulez vous ajouter un événement le "+date,
                    type: 'warning',
                    showCancelButton: true,
                    confirmButtonText: 'Oui',
                    cancelButtonText: 'Non',
                  }).then((result) => {
                    if (result.value) {
                        window.location.href = '/admin/schedule/add/'+date;
                    }
                  })
            }
        });

        calendar.render();
    });

}

function switchType(date) {

    var selectInput = $('#type')
    $.get( "/api/schedule/events/add/modal/"+selectInput.val()+"/"+date+"?api_token="+api_token, function( data ) {
        $( "#container" ).html( data );
        console.log( "Loading defaut value for activity type ("+selectInput.val()+")" );
      });

}
function switchTypeEDIT(date) {

    var selectInput = $('#type')

    Swal.fire({
        title: 'êtes vous sur de vouloir changer le type d\'évenement ?',
        text: "Voulez vous ajouter un événement le "+date,
        type: 'warning',
        showCancelButton: true,
        confirmButtonText: 'Oui',
        cancelButtonText: 'Non',
    }).then((result) => {
        if (result.value) {
            $.get( "/api/schedule/events/add/modal/"+selectInput.val()+"/"+date+"?api_token="+api_token, function( data ) {
                $( "#container" ).html( data );
                console.log( "Loading defaut value for activity type ("+selectInput.val()+")" );
            });
        }
    })

}
function deleteEvent(pid){
    swal({
        title: 'Êtes vous certain de vouloir supprimer l\'évenement?',
        text: "Vous ne pourrez pas annuler cette action",
        type: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Oui',
        cancelButtonText: 'Non'
    }).then((result) => {
        if (result.value) {

            (function($) {
                $.post('/api/schedule/event/delete/'+pid+'?api_token='+api_token, function(data) {
                    console.log('Delete');
                });


            })(jQuery);

            swal(
                'Supprimé!',
                "L'évenement a été supprimé",
                'success'
            ).then((result) => {
                if (result.value) {
                    location.reload();
                }
            })
        }
    })
}